
Redmine - Feature #413

Add email notification on Wiki changes

2007-08-27 16:46 - Neil Rodrigues

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed   

Description

Add option to have e-mail notification on Wiki modifications, or at least the ability to watch a page.

Related issues:

Has duplicate Redmine - Feature #769: No notifications sent out for wiki page... Closed 2008-03-01

Has duplicate Redmine - Feature #1959: wiki -> email notification Closed 2008-09-26

Has duplicate Redmine - Feature #4660: Allow for Wiki pages to have watchers Closed 2010-01-26

Associated revisions

Revision 2749 - 2009-05-17 11:55 - Jean-Philippe Lang

Adds email notification on wiki changes (#413). It's disabled by default and can be enabled in application settings.

Revision 2765 - 2009-05-25 21:02 - Jean-Philippe Lang

Ability to watch a wiki or a single wiki page (#413).

History

#1 - 2008-02-12 17:18 - Jos Yule

This could also be done via an RSS feed, which is how many other wikis do it.

#2 - 2008-02-12 22:49 - Jean-Philippe Lang

Jos, an atom feed for wiki changes is already available: go to the Activity view, choose 'Wiki pages' and you'll get the corresponding feed.

For example, here is the feed for Redmine's wiki:

http://www.redmine.org/projects/activity/redmine?format=atom&show_wiki_pages=1

#3 - 2008-02-14 17:43 - Jos Yule

Sweet.

#4 - 2008-03-04 18:10 - John Goerzen

The problem with this is that it doesn't scale.

If you've got 20 projects in Redmine and want to watch the wikis for all of them, you have to subscribe to 20 RSS feeds.

Not only that, but it's misleading; if the setting says "all updates", it should be all updates, including wiki updates.

#5 - 2009-01-21 16:27 - Artem Vasiliev

I've just implemented this in our GitHub Redmine fork, please feel free to integrate into upstream:

http://github.com/artemv/redmine_tt/commit/d86251e4b7787281f81fa0479efe11f0c8270868,

http://github.com/artemv/redmine_tt/commit/0eb11b0b2d892033bde094adc94cb6f1aec1e609,

http://github.com/artemv/redmine_tt/commit/c8aab89b1d1de59dc6648ebc0c69f13eb102f8e2,

http://github.com/artemv/redmine_tt/commit/504e44c68b6d7580c3e5b415e549e75ab94ef39d

These also cover attachments removal email notification for all kinds of containers (Issues, Documents, Wiki, Project, Version)

#6 - 2009-03-16 12:13 - Yelve Y.

Is this scheduled to be in stable release any time soon?
#7 - 2009-03-17 05:33 - Eric Davis

- Category set to Wiki

- Status changed from New to 7

- Assignee set to Eric Davis

I have something that is in almost ready for release.

http://www.redmine.org/boards/1/topics/4564

#8 - 2009-03-20 02:42 - missey Deng

hi,

when can this feature be committed?

thanks.

#9 - 2009-05-17 11:45 - Jean-Philippe Lang

- Status changed from 7 to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Feature added in r2749.
